Package org.jboss.resteasy.links.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 28, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `cannotGuessCollectionType()` |
    `String` | `cannotGuessResourceType()` |
    `String` | `cannotGuessType()` |
    `String` | `couldNotInstantiateELProviderClass​(String className)` |
    `String` | `discoveryFailedForMethod​(String className, String methodName, String s)` |
    `String` | `failedToEvaluateELExpression​(String expression)` |
    `String` | `failedToFindBeanProperty​(String property)` |
    `String` | `failedToInjectLinks​(Object entity)` |
    `String` | `failedToInstantiateELProvider​(String className)` |
    `String` | `failedToReadField​(String field)` |
    `String` | `failedToReadProperty​(String property)` |
    `String` | `failedToReadPropertyFromMethod​(String property)` |
    `String` | `failedToReuseServiceDiscovery​(Object entity)` |
    `String` | `notEnoughtUriParameters​(int expected, int actual)` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### cannotGuessCollectionType

          @Message(id=12000,
                   value="Cannot guess collection type for service discovery")
          String cannotGuessCollectionType()

    - #### cannotGuessResourceType

          @Message(id=12005,
                   value="Cannot guess resource type for service discovery")
          String cannotGuessResourceType()

    - #### cannotGuessType

          @Message(id=12010,
                   value="Cannot guess type for Response")
          String cannotGuessType()

    - #### couldNotInstantiateELProviderClass

          @Message(id=12015,
                   value="Could not instantiate ELProvider class %s")
          String couldNotInstantiateELProviderClass​(String className)

    - #### discoveryFailedForMethod

          @Message(id=12020,
                   value="Discovery failed for method {0}.{1}: {2}",
                   format=MESSAGE_FORMAT)
          String discoveryFailedForMethod​(String className,
                                          String methodName,
                                          String s)

    - #### failedToEvaluateELExpression

          @Message(id=12025,
                   value="Failed to evaluate EL expression: %s")
          String failedToEvaluateELExpression​(String expression)

    - #### failedToFindBeanProperty

          @Message(id=12030,
                   value="Failed to find bean property %s")
          String failedToFindBeanProperty​(String property)

    - #### failedToInjectLinks

          @Message(id=12035,
                   value="Failed to inject links in %s")
          String failedToInjectLinks​(Object entity)

    - #### failedToInstantiateELProvider

          @Message(id=12040,
                   value="Failed to instantiate ELProvider: %s")
          String failedToInstantiateELProvider​(String className)

    - #### failedToReadField

          @Message(id=12045,
                   value="Failed to read field %s")
          String failedToReadField​(String field)

    - #### failedToReadProperty

          @Message(id=12050,
                   value="Failed to read property %s")
          String failedToReadProperty​(String property)

    - #### failedToReadPropertyFromMethod

          @Message(id=12055,
                   value="Failed to read property from method %s")
          String failedToReadPropertyFromMethod​(String property)

    - #### notEnoughtUriParameters

          @Message(id=12060,
                   value="Not enough URI parameters: expecting {0} but only found {1}",
                   format=MESSAGE_FORMAT)
          String notEnoughtUriParameters​(int expected,
                                         int actual)

    - #### failedToReuseServiceDiscovery

          @Message(id=12065,
                   value="Failed to access/reuse user-created service discovery in %s")
          String failedToReuseServiceDiscovery​(Object entity)